In the 0.4 Windows build:

    -  load a file
    -  select a region
    -  hit Ctrl+Return to show alternative candidates
    -  switch on the Loop and Constrain to Selection playback controls so only the selection is playing
    -  start playback
    -  select a different candidate using Ctrl+Up or Down
    -  wait until the playback buffer has cleared and the new candidate is playing (this delay is arguably a bug too from the user point of
view)
    -  hit Esc

and the program crashes ("asked the runtime to terminate it in an unusual way").

There is a pause before crashing; possibly it ran out of memory.

History
#1 - 2014-06-16 05:01 PM - Chris Cannam
- Assignee set to Chris Cannam

I can reproduce this on other platforms as well, although not always at first attempt. If you start messing around with selecting & clearing selection
repeatedly, it'll crash or lock up eventually.

There's evidently some fundamental thing going quite wrong here and it may be related to #841 and possibly #956.

#2 - 2014-06-16 05:13 PM - Matthias Mauch

No idea whether this is relevant, but I get:

16/06/2014 16:52:30.508 spindump10729: Tony.bin [10318] didn't gather any samples due to audio running

On a Mac while approximately following the steps you describe above.
